ansible_user: root
server_init_args: >-
  {% if groups['master'] | length > 1 %}
    {% if ansible_host == hostvars[groups['master'][0]]['ansible_host'] | default(groups['master'][0]) %}
      --cluster-init
    {% else %}
      --server https://{{ hostvars[groups['master'][0]]['ansible_host'] | default(groups['master'][0]) }}:6443
    {% endif %}
    --token {{ hostvars[groups['master'][0]]['token'] | default(cloudstack.plugins.k3s.api.token) }}
  {% endif %}
  {{ k3s_server_args | default('') }}
